﻿@model IEnumerable<MIMS.Portal.ViewModels.TicketViewModel>
@using MIMS.Portal.Core.Data.Domains;
@using MIMS.Portal.ViewModels;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "جزئیات درخواست";
}


<div class="row">

    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <form action="/tickets/CreateReply" enctype="multipart/form-data" method="post" class="form-profile">
                    <div class="form-group">
                        <textarea class="form-control" name="body" id="Body" cols="30" rows="5" placeholder="متن پاسخ..." style="resize: none;"></textarea>
                    </div>
                    <div class="d-flex align-items-center">
                        @*<ul class="mb-0 form-profile__icons">
                                <li class="d-inline-block">
                                    <button class="btn btn-transparent p-0 mr-3"><i class="fa fa-paper-plane"></i></button>
                                </li>
                            </ul>*@
                        <button class="btn btn-primary px-3 ml-4">ثبت</button>
                    </div>
                    <input type="hidden" id="parentid" name="parentid" value=@Model.Where(i=>i.ParentId.ToString()=="00000000-0000-0000-0000-000000000000").First().Id>

                </form>
                <div class="row form-group">
                    <label class="col-md-4 control-label">کاربر :</label>
                    <div class="col-md-8 inputGroupContainer">
                        <select class="input-group" id="reciverid" name="reciverid" class="form-control" required="true" value="" type="text">
                            @if (User.IsInRole("admin"))
                            {
                                @foreach (User item in ViewBag.agentusers)
                                {
                                    <option value="@item.Id">@item.Fullname</option>

                                }
                            }
                            else
                            {
                                <option value="@Model.First().SenderUserId">@Model.First().SenderUserFullName</option>

                            }




                        </select>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
                @foreach (var item in Model)
                {
                    <span hidden>@item.ReciverUserFullName</span>
                    <span hidden>@item.Subject</span>


                    <div class="media media-reply">
                        <img class="mr-3 circle-rounded" src="~/assets/images/user/form-user.png" width="50" height="50" alt="Generic placeholder image">
                        <div class="media-body">
                            <div class="d-sm-flex justify-content-between mb-2">
                                <h5 class="mb-sm-0">@item.SenderUserFullName <small class="text-muted ml-3">@item.SubmitDate</small></h5>
                                <div class="media-reply__link">
                                    <button class="btn btn-transparent p-0 mr-3" disabled><i class="fa fa-thumbs-up"></i></button>
                                    <button class="btn btn-transparent p-0 mr-3" disabled><i class="fa fa-thumbs-down"></i></button>
                                    <button class="btn btn-transparent p-0 ml-3 font-weight-bold" disabled hidden>پاسخ</button>
                                </div>
                            </div>

                            <p>
                                @Html.Raw(item.Body)
                            </p>
                        </div>
                    </div>
                }

            </div>
        </div>
    </div>
</div>


@if (ViewBag.currentuserid == Model.First().ReciverUserId.ToString() && Model.Last().Status != MIMS.Portal.ValueObjects.Enum.TicketStatus.Closed)
{

}

@section Scripts{


    <script src="~/js/ckeditor/ckeditor.js"></script>


    <script>
        $(document).ready(function () {
            CKEDITOR.replace('#Body');
        });
    </script>
}


